store-stores-get-one¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25333167796Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
getLambda:
jef-store-get-37
Endpoint¶
API Name:
jef-storeAction Name:
getMethod:
GETScope Label:
GETResource Path:
/store-stores-get-oneComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-stores-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-37curl payload mode:
query_string
API Gateway Description¶
Function: jef-store-get-37
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-stores-get-one
Table:
- table: jef-store-stores
- operation: get-one
Payload Schema:
- pk: entity_number
Payload Example:
- pk: 1001
Response Schema:
- exists: boolean
- message: string
- item: {"entity_number":"string","branch_name":"string","store_name":"string","store_legal_name":"string","store_tagline":"string","address_line_1":"string","address_line_2":"string","city":"string","province":"string","postal_code":"string","country":"string","contact_number":"string","email":"string","website":"string","tin":"string","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}
Request Payload¶
{
"pk": "entity_number"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"entity_number\":\"string\",\"branch_name\":\"string\",\"store_name\":\"string\",\"store_legal_name\":\"string\",\"store_tagline\":\"string\",\"address_line_1\":\"string\",\"address_line_2\":\"string\",\"city\":\"string\",\"province\":\"string\",\"postal_code\":\"string\",\"country\":\"string\",\"contact_number\":\"string\",\"email\":\"string\",\"website\":\"string\",\"tin\":\"string\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}"
}
CMD curl¶
curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-stores-get-one?pk=1001"
PowerShell curl¶
curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-stores-get-one?pk=1001"